import { Lookup } from '@common/model/lookup';
import { NotificationType } from '../common/enum/notification-type';
import { NotificationInAppTracking } from '../common/enum/notification-inapp-tracking.enum';
import { IsActive } from '../common/enum/is-active.enum';

export class InAppNotificationLookup extends Lookup implements InAppNotificationFilter {
	like: string;
	isActive: IsActive[];
	type: NotificationType[];
	trackingState: NotificationInAppTracking[];

	constructor() {
		super();
	}
}

export interface InAppNotificationFilter {
	like: string;
	isActive: IsActive[];
	trackingState: NotificationInAppTracking[];
	type: NotificationType[];
}
